Add a realm user
POST
/auth/realms/{name}/users
const url = 'https://sylve.lan:8181/api/auth/realms/example/users';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"email":"example","fullName":"example","notes":"example","username":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://sylve.lan:8181/api/auth/realms/example/users \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "email": "example", "fullName": "example", "notes": "example", "username": "example" }'Adds a user before their first sign-in; the first login whose username claim names them binds them
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”name
required
string
Realm name
Request Body
Section titled “Request Body”User
Media typeapplication/json
object
email
string
fullName
string
notes
string
username
required
string
Examplegenerated
{ "email": "example", "fullName": "example", "notes": "example", "username": "example"}Responses
Section titled “Responses”User Created
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Bad Request
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Forbidden
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Service Unavailable
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}